package ru.yandex.webmaster3.core.util.yson.tokens;

/**
 * @author avhaliullin
 */
public class YsonInt64Token implements IYsonToken {
    private final long value;
    private final boolean signed;

    YsonInt64Token(long value, boolean signed) {
        this.value = value;
        this.signed = signed;
    }

    public long getValue() {
        return value;
    }

    public boolean isSigned() {
        return signed;
    }
}
